/*
    CFS0.11 filesystem implementation for FUSE
    Copyright (C) 2005-2020 Kajtar Zsolt (Soci/Singular) <soci@c64.rulez.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/
#ifndef BLOCK_H
#define BLOCK_H

typedef unsigned int Offset;

static const Offset null_sector = (Offset)-1;

typedef struct Block {
    unsigned char data[512];
} Block;

extern const char *block_init(const char *name);
extern int block_write(const Block *ezt, Offset ide);
extern int block_read(Block *ezt, Offset ide);
extern void block_destroy(void);

extern int offset_geometry(const unsigned char ez[]);
extern Offset offset_from(const unsigned char ez[]);
extern void offset_to(unsigned char ide[], Offset ezt);
#endif
